MKC_COMPILER_SETTINGS(1)

NAME
mkc_compiler_settings - generates initial settings for C/C++ compiler

SYNOPSIS
mkc_compiler_settings

DESCRIPTION
mkc_compiler_settings checks compiler capabilities and store initial settings required by mk-configure to
~/.mkcmake/mkc_imp.cc_${CC_TYPE}-${CC_VERSION}.mk or
~/.mkcmake/mkc_imp.cxx_${CXX_TYPE}-${CXX_VERSION}.mk files for C and C++ compilers respectively.

ENVIRONMENT

CC  C compiler to check.

CXX C++ compiler to check.

USE_CC_COMPILERS
    A space-separated list of C compilers to check. This variable has higher priority than CC.

USE_CXX_COMPILERS
    A space-separated list of C++ compilers to check. This variable has higher priority than CXX.

AUTHOR
Aleksey Cheusov <vle@gmx.net>